// pages/asset-detail/asset-detail.js
import http from '../../utils/http'
Page({

    /**
     * 页面的初始数据
     */
    data: {
      asDetail: {},
      dictItem: '/v1/pub/dictItem'
    },

    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
      this.initDict(options)
    },
    initDict(options) {
      let detail = JSON.parse(options.detail)
      http.get(this.data.dictItem, {dictCode: 'ZCZT'}).then(res => {
        detail.asStateName = res.find(i => i.itemValue == detail.asState).itemText
        detail.buyTime = this.parseTime(detail.buyTime)
        this.setData({
          asDetail: detail
        })
      })
    },
    parseTime(time) {
      var date = new Date(time)
      var year = date.getFullYear()
      /* 在日期格式中，月份是从0开始的，因此要加0
        * 使用三元表达式在小于10的前面加0，以达到格式统一  如 09:11:05
        * */
      var month = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1
      var day = date.getDate() < 10 ? '0' + date.getDate() : date.getDate()
      // 拼接
      return year + '-' + month + '-' + day
    },
    onEdit() {
      wx.navigateTo({
        url: '../asset-bind/asset-bind?detail=' + JSON.stringify(this.data.asDetail),
      })
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})