import list from './data/index';
import http from '../../utils/http'
Page({
    data: {
      list,
      text: 'Copyright © 2023-2025 Junmp Rights Reserved.',
      url: {
        getDetailByCode: '/v1/ams/asset/scan',
        titleList: '/v1/ams/asset/titleList'
      }
    },
    handlerScan() {
      const _this = this
      wx.scanCode({
        success (res) {
          const { result } = res
          http.get(_this.data.url.getDetailByCode, {asCode: result}).then(res => {
            if (res) {
              wx.navigateTo({
                url: '../asset-detail/asset-detail?detail=' + JSON.stringify(res),
              })
            }
          })
        },
      })
    },
    onLoad(options) {
        const { path, q } = options;
        console.log(path);
        if (q) {
            const str = this.getQueryByUrl(decodeURIComponent(q));
            console.log(str, str.page);
            wx.navigateTo({
                url: `/pages/${str.page}/${str.page}`,
            });
        }
        this.initCount()
    },
    onShow() {
      wx.hideHomeButton()
    },
    initCount() {
      http.post(this.data.url.titleList, {"tenantId":"100001","deptId":"100"}).then(res => {
        this.setData({
          countList: res.map((i) => {
            return {
              percentage: (i.qty / res[0].qty * 100).toFixed(2),
              ...i
            }
          }),
          activeValue: [0]
        })
      })

    },
    clickHandle(e) {
        let { name, path = '' } = e.detail.item;
        if (!path) {
            name = name.replace(/^[A-Z]/, (match) => `${match}`.toLocaleLowerCase());
            name = name.replace(/[A-Z]/g, (match) => {
                return `-${match.toLowerCase()}`;
            });
            path = `/pages/${name}/${name}`;
        }
        wx.navigateTo({
            url: path,
            fail: () => {
                wx.navigateTo({
                    url: '/pages/home/navigateFail/navigateFail',
                });
            },
        });
    },
    onShareAppMessage() {
        return {
            title: 'TDesign UI',
            path: '/pages/home/home',
        };
    },
    getQueryByUrl(url) {
        const data = {};
        const queryArr = `${url}`.match(/([^=&#?]+)=[^&#]+/g) || [];
        if (queryArr.length) {
            queryArr.forEach((para) => {
                const d = para.split('=');
                const val = decodeURIComponent(d[1]);
                if (data[d[0]] !== undefined) {
                    data[d[0]] += `,${val}`;
                }
                else {
                    data[d[0]] = val;
                }
            });
        }
        return data;
    },
});
